Get the task types of an edit

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/edits/{edit_id}/task-types

Get the task types of the tasks of an edit.

Path parameters

  • edit_id string(uuid) Required

    Unique identifier of the edit

Responses

  • 200 application/json

    The list of task types

    Hide response attributes Show response attributes object
    • id string(uuid)

      Task type unique identifier

    • name string

      Task type name

    • short_name string

      Task type short name

    • color string

      Task type color code

    • for_entity string

      Entity type this task type is for

  • 403

    You do not have access to this project, or you are a vendor without a task on this edit

  • 404

    The edit does not exist

GET /data/edits/{edit_id}/task-types
curl -X GET "http://api.example.com/data/edits/a24a6ea4-ce75-4665-a070-57453082c25/task-types" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/edits/a24a6ea4-ce75-4665-a070-57453082c25/task-types"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "b35b7fb5-df86-5776-b181-68564193d360",
    "name": "Edit",
    "short_name": "EDT",
    "color": "#FF5733",
    "for_entity": "Edit"
  }
]